<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de> and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

require_once('lib/cli.php');

# Language
$mainLanguages = array(
	"en" => "en");
	
$mainLang = "en";

$mainLangPath = "/var/www/locale";

$mainServerURL = "http://127.0.0.1/index.php";

$mainLogFile = "/var/www/log/nepenthesfe.log";

# Set path for afterglow perl script

$mainafterglowpath ="/var/www/visual/afterglow/src/perl/graph/afterglow.pl";

# Set path for images generated by afterglow

$mainvisualpath ="/var/www/visual/";

$mainvisualpathsrv="/visual/";

# Format of graph by using graph viz.

$gviz = "neato";

# Set path for XML DUMP used for Virustotal if bash based Uploading module used.

$mainvtxmldump ="/var/www/modules/virustotal/xmldump/";

$mainvtxmpdumpsrv="http://127.0.0.1/modules/virustotal/xmldump/";

#Set the path for TMP file and change the permission such that mysql can create and www-data can delete the file.   

$tmplocation="/var/lib/mysql/";

# Set this to PEAR_LOG_DEBUG if you need to do troubleshooting
$mainLogLevel = "PEAR_LOG_WARNING";

# Database Connection Info
$mainDbtype     = "mysql";
$mainDbhost     = "localhost";
$mainDbname 	= "nepenthesfe";
$mainDbuser 	= "root";
$mainDbpw       = "admin@123";

$mainDateformat = "Y-m-d G:i:s";

$mainHashesPerPage = 30;;

# Obfuscate IP addresses
# Level = 0 -> 192.168.0.3
# Level = 1 -> 192.168.0.X
# Level = 2 -> 192.168.X.X
# Level = 3 -> 192.X.X.X
# Level = 4 -> X.X.X.X
$mainIpObfuscationLevel = "1";

$mainSamplePath = "/var/www/nepfe/mw";

/*
        Processing of instances with cli modules
*/

$mainModules = array(
	/* "clamav"		=> array('enable' => FALSE, 'scope' => 'submit', 'type' => 'sample'), */
	"virustotal"		=> array('enable' => TRUE, 'scope' => 'submit,display,cron', 'type' => 'sample'),
	"bitdefender"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"strings"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"upx"			=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"objdump"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"file"			=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"peinfo"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"section"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"packer"		=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'sample'),
	"virusscan" 		=> array('enable' => FALSE, 'scope' => 'submit,display', 'type' => 'sample'),
	/* "cwsandbox"		=> array('enable' => FALSE, 'scope' => 'submit,display,cron', 'type' => 'sample'), */
	"geoip"			=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'instance'),
	"asn"			=> array('enable' => TRUE, 'scope' => 'submit,display', 'type' => 'instance')
);

/*
	You should not need to change anything below this part
 */

# Version
$mainVersion  = "0.04";

$mainDbdsn = "$mainDbtype://$mainDbuser:$mainDbpw@$mainDbhost/$mainDbname";

$mainDatabaseOptions = array(
	'debug' => 1,
	'portability' => 'DB_PORTABILITY_ALL'
);

$mainGettextDomain = 'messages';

$mainOptionsAuth = array(
  'dsn' => $mainDbdsn,
  'table' => 'user',
  'usernamecol' => 'user_name',
  'passwordcol' => 'user_password'
);

/*
        Parameteres for creation off RRD files and images
*/

$mainStats = array(
	"instance" => array(
		"enable" => TRUE,
		"options" => array( "--step", "300", "--start", 0,
			"DS:input:COUNTER:300:U:U",
			"RRA:AVERAGE:0.5:1:1200",
			"RRA:MAX:0.5:12:2400",
			"RRA:MIN:0.5:12:2400"),
		"x_label" => "x_label",
		"y_label" => "y_label"),
	"sample" => array(
		"enable" => TRUE,
		"options" => array( "--step", "300", "--start", 0,
			"DS:input:COUNTER:300:U:U",
			"RRA:AVERAGE:0.5:1:1200",
			"RRA:MAX:0.5:12:2400",
			"RRA:MIN:0.5:12:2400"),
		"x_label" => "x_label",
		"y_label" => "y_label"),
	"sensor" => array(
		"enable" => TRUE,
		"options" => array( "--step", "300", "--start", 0,
			"DS:input:COUNTER:300:U:U",
			"RRA:AVERAGE:0.5:1:1200",
			"RRA:MAX:0.5:12:2400",
			"RRA:MIN:0.5:12:2400"),
		"x_label" => "x_label",
		"y_label" => "y_label"),
	"sample_sha512" => array(
		"enable" => TRUE,
		"options" => array( "--step", "300", "--start", 0,
			"DS:input:COUNTER:300:U:U",
			"RRA:AVERAGE:0.5:1:1200",
			"RRA:MAX:0.5:12:2400",
			"RRA:MIN:0.5:12:2400"),
		"x_label" => "x_label",
		"y_label" => "y_label")
);

?>
