<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de> and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

/*
 * Class "CLI":
 */

require_once 'Log.php';

class CLI {
	
	var $classname = 'CLI';
	
	var $pattern_result = '^(.*)$';
	
	var $info_name = "";
	
	function process($params) {
		global $mainSamplePath;
		global $mainLogFile;
		global $logger;
	
		$cli_param = $params['sha512'];
		
		$command_line = sprintf('%s %s %s/%s',
			$this->path,
			$this->options_run,
			$mainSamplePath,
			$cli_param
		);
		
		$command_line = escapeshellcmd($command_line);
		
		$logger->log("Executing $this->classname", PEAR_LOG_INFO);
		
		$logger->log("Executing cli: $command_line", PEAR_LOG_DEBUG);
		
		$cli_result = shell_exec("$command_line 2>&1");
		
		# Return empty result if CLI result is empty
		if (empty($cli_result)) {
			return;
		}
		
		$cli_result = htmlspecialchars($cli_result);
		$cli_result = preg_replace('/[^!-%\x27-;=?-~ <>&a-zA-Z0-9]/e', '"&#".ord("$0").chr(59)', $cli_result);
		
		$sample_info_details = ereg_replace($this->pattern_result, $this->result_xml, $cli_result);
		
		$logger->log("Received result from $this->classname", PEAR_LOG_INFO);
		
		$logger->log("Received result from $this->classname: $sample_info_details", PEAR_LOG_DEBUG);
		
		# Return empty result if regular expression did not match
		if ($cli_result == $sample_info_details) {
			$sample_info_details = '';
		}
		
		return $sample_info_details;
	}
	
	function render($sample_info_details) {
		global $mainSamplePath;
		global $mainGettextdomain;
		bindtextdomain($mainGettextDomain, "modules/$this->info_name/locale");
		textdomain($mainGettextDomain);
				
		$t = new HTML_Template_IT("templates/"); 
		$t->loadTemplatefile("cli_template.php", false, true); 
		
		$text_cli_details = sprintf("%s '%s'",
			gettext("Results from :- "),
			$this->info_name
		);
		 
		$t->setVariable("TEXT_CLI_DETAILS", $text_cli_details);
		$t->setVariable("DIV_ID", $this->info_name);
		
		$xml_data = xml2array($sample_info_details);

		$cli_result = ereg_replace("$mainSamplePath/[0-9a-z]+", "", $xml_data[$this->info_name]['result']['value']);
		$t->setVariable("CLI_RESULT", $cli_result);

		if (!empty($xml_data[$this->info_name]['result']['value'])) {
				return $t->get();
		}
		else {
			return;
		}
		
	}
}

?>
