<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de> and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

/*
 * Module "bitdefender":
 * this module takes a filename as parameter and
 * performs a local AV scan with BitDefender.
 *
 */

require_once 'Log.php';
require_once 'HTML/Template/IT.php';

class BITDEFENDER extends CLI {
	
	/* Module configuration starts here */
	# Set path to 'bdscan' binary
	var $path = '/opt/BitDefender-scanner/bin/bdscan';

	# Set CLI options for 'bdscan'	
	var $options_run = '--files --arc --log=/var/log/bitdefender.log --append';
	/* Module configuration ends here */
	
	var $classname = 'BITDEFENDER';

	var $pattern_result = '^.*infected: ([^&]*).*$';
	
	var $result_xml = '<?xml version="1.0" encoding="UTF-8"?><bitdefender><result><![CDATA[\\1]]></result></bitdefender>';

	var $info_type = 'av';
	
	var $info_name = 'bitdefender';

	function render($sample_info_details) {
		global $mainGettextdomain;
		bindtextdomain($mainGettextDomain, "modules/$this->info_name/locale");
		textdomain($mainGettextDomain);
		
		$t = new HTML_Template_IT("modules/$this->info_name"); 
		$t->loadTemplatefile("template.php", false, true); 
		
		$t->setVariable("TEXT_BITDEFENDER_DETAILS",gettext("Local Scan with BitDefender"));
		
		$xml_data = xml2array($sample_info_details);

		if (isset($xml_data[$this->info_name]['result']['value']) && !empty($xml_data[$this->info_name]['result']['value'])) {
			$t->setVariable("TEXT_BITDEFENDER_RESULT",gettext("Result from Scan"));
			$t->setVariable("BITDEFENDER_RESULT", $xml_data["$this->info_name"]['result']['value']);			
			return $t->get();
		}
		else {
			return;
		}
	}
}

?>
