<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

/*
 * Module "cwsandbox":
 * this module send a sample to the CWSandbox via HTTP POST.
 * 
 * Results are later retrieved by email 
 * 
 * For details on CWSAndbox see http://www.cwsandbox.org/
 * 
 * This module is not finished yet!
 * 
 */

require_once 'Mail.php';
require_once 'Mail/mime.php';
require_once 'Net/POP3.php';
require_once 'Net/SMTP.php';
require_once 'Log.php';
require_once 'HTML/Template/IT.php';

class CWSANDBOX {
	
	var $classname = 'CWSANDBOX';
	
	var $param = 'sha512';
	
	var $info_type = 'mail';
	
	var $info_name = 'cwsandbox';

	var $cwsandbox_url = "http://sb.example.com/";
	var $cwsandbox_http_useragent = "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)";
	
	var $cwsandbox_sender = "mail@example.com";
	
	var $pop3_server = "pop3.example.com";
	var $pop3_port = "110";
	var $pop3_username = "user";
	var $pop3_password = "password";
	
	var $subject_pattern = "CWSandbox-Analysis for SampleID";
	var $mail_replace_pattern = "";
	
	var $flush_mail = FALSE;
	
	function process($sample_sha512) {

		global $mainLogFile;
		global $mainSamplePath;
		global $logger;

		$post_param = sprintf("email=%s&file=@%s&comment=%s&submit=submit",
			urlencode($this->cwsandbox_sender),
			"$mainSamplePath/$sample_sha512",
			$sample_sha512
		);
			
		$curl = curl_init();
		
		curl_setopt_array($curl, array( 
			'CURLOPT_URL' => $this->cwsandbox_url,
			'CURLOPT_USERAGENT' => $this->cwsandbox_http_useragent,
			'CURLOPT_HTTPPOST' => 1,
			'CURLOPT_RETURNTRANSFER' => 1,
			'CURLOPT_POSTFIELDS' => $post_param));
		
		$result = curl_exec($curl);
		curl_close($curl);

		$logger->log("Result from curl POST:", PEAR_LOG_DEBUG);
		$logger->log($result, PEAR_LOG_DEBUG);
		
		return;
	}
	
	function cron() {
		
		global $mainLogFile;
		global $queries;
		global $logger;

		$pop3 =& new Net_POP3();
		
		if(!$pop3->connect($this->pop3_server, $this->pop3_port)) {
			$logger->log("Failed to connect to pop3 server $this->pop3_server", PEAR_LOG_EMERG);
			return false;
		}
		
		$pop3res = $pop3->login($this->pop3_username, $this->pop3_password);
	
		if (PEAR::isError($pop3res)) {
			$logger->log("Failed login to pop3 server $this->pop3_server with username $this->pop3_username", PEAR_LOG_EMERG);
	    	return false;
		}
		
		$id2subject = array();
		$listing = $pop3->getListing();
		
		# Retrieve listing of messages and headers and look for 'Subject' matching the Virustotal pattern
		foreach ($listing as $message) {
			$id = $message['msg_id'];
			$headers = $pop3->getParsedHeaders($id);
			
			$subject_pattern = $this->subject_pattern;
			if (preg_match("/$subject_pattern/", $headers['Subject'])) {
				$matched_ids[] = $id;
			}
		}
		
		# Read mails
		reset($matched_ids);
		
		# Read all mails with matching subject
		for ($i=0; $i<count($matched_ids); $i++) {
			$msg_id = $matched_ids[$i];
			$raw_mail = $pop3->getBody($msg_id);
			$res_array_av = array();
			$res_array_misc = array();
			
			# Split mail content by newline character and store in array
			$results_only = preg_replace("/(\015\012)|(\015)|(\012)/","\n",$raw_mail);
			$results_only = explode("\n", $results_only);

			# Parse lines of matched mails
			for ($j=0; $j<count($results_only); $j++) {
				$res_tmp = "";
				
				# Parse sha512 
				# Submitted file: nepenthes8dde39755677224798c64fe0842f1278nod32antiv.exe
				# Analysis ID: 190193
				# Sample ID: 76516
				# Submission ID: 69025
				# Your comment:
				#Analysis result: Processed
				if (preg_match('/^(.*):[\s]+([^\S]*)$/', $results_only[$j], $res_tmp) == 1 &&
					!empty($res_tmp[1])) {
						
					$logger->log("Match for misc: $results_only[$j]", PEAR_LOG_DEBUG);
					$res_array[] = array(
						'type' => trim($res_tmp[1]),
						'value' => trim($res_tmp[2])
					);
					
					if ($res_tmp[1] == 'Your comment') {
						$sha512 = $res_tmp[2];
					}
				}
				elseif (preg_match('/^You can find the report at (.*)./', $results_only[$j], $res_tmp) == 1 &&
					!empty($res_tmp[1])) {

					$logger->log("Match for misc: $results_only[$j]", PEAR_LOG_DEBUG);
					$res_array[] = array(
							'type' => "url",
							'value' => $res_tmp[1]);
				}
			}

			# AV info an misc info are extracted, lets create the result array
			$result_xml = '<?xml version="1.0" encoding="UTF-8"?><cwsandbox>';
			
			for ($k=0; $k<count($res_array); $k++) {
				$result_xml .= sprintf("<type>%s</type><value>%s</value>",
					$res_array_av[$k]['type'],
					$res_array_av[$k]['value']);
			}
			
			$result_xml .= '</cwsandbox>';
			
			$res_array[] = array(
				"sha512" => $sha512,
				"result_xml" => $result_xml);
		}
		
		return $res_array;
	}
	
	function render($sample_info_details) {
		global $mainGettextdomain;
		bindtextdomain($mainGettextDomain, "modules/$this->info_name/locale");
		textdomain($mainGettextDomain);
				
		if (empty($sample_info_details)) {
			return;
		}
		
		$t = new HTML_Template_IT("modules/$this->info_name"); 
		$t->loadTemplatefile("template.php", false, true); 
		
		$t->setVariable("TEXT_VIRUSTOTAL_DETAILS",gettext("Details from CWSandbox"));
		
		$t->setVariable("TEXT_VIRUSTOTAL_VENDOR",gettext("Vendor"));
		$t->setVariable("TEXT_VIRUSTOTAL_VERSION",gettext("Version"));
		
		$xml_data = xml2array($sample_info_details);
		print_r($xml_data);
		
		$av_vendors = $xml_data[$this->info_name]['vendor'];
		
		$misc_types = $xml_data[$this->info_name]['type'];
		$misc_values = $xml_data[$this->info_name]['value'];
		
		# Parse AV results
		for ($i=0; $i<count($av_vendors); $i++) {
			$t->setCurrentBlock("av_results");
			$t->setVariable("AV_VENDOR", $av_vendors[$i]['value']);
			$t->setVariable("AV_VERSION", $av_versions[$i]['value']);
			$t->setVariable("AV_RESULT", $av_results[$i]['value']);	
			
			$t->parseCurrentBlock("av_results");	
		}
		return $t->get();
	}
}

?>