<?

/*

This file is part of NepenthesFE,
Copyright (C) 2008  Emre Bastuz <info@emre.de>  and Harsh R Patel <har.duro@gmail.com>

NepenthesFE is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

NepenthesFE is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with NepenthesFE.  If not, see <http://www.gnu.org/licenses/>.

*/

/*
 * Module "upx":
 * 
 * Executes the CLI tool 'upx' to determine if a binary has been packed by UPX
 */

#require_once 'Log.php';
require_once 'HTML/Template/IT.php';

class UPX extends CLI {
	
	/* Module configuration starts here */
	# Set path to 'upx' binary
	var $path = '/usr/bin/upx';
	
	# Set CLI options for 'upx'	
	var $options_run = '-t';
	/* Module configuration ends here */
	
	var $classname = 'UPX';

	var $pattern_result = '^(.*)$';
	
	var $result_xml = '<?xml version="1.0" encoding="UTF-8"?><upx><result><![CDATA[\\1]]></result></upx>';

	var $info_type = 'upx';
	
	var $info_name = 'upx';
	
}

?>
