
-- MySQL dump 10.11
--
-- Host: localhost    Database: nepenthesfe
-- ------------------------------------------------------
-- Server version       5.0.32-Debian_7etch5-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `instance`
--

DROP TABLE IF EXISTS `instance`;
CREATE TABLE `instance` (
  `instance_idx` int(11) unsigned NOT NULL,
  `instance_email` varchar(128) default NULL,
  `instance_url` varchar(512) default NULL,
  `instance_trigger` varchar(612) default NULL,
  `sample_sha512` char(128) NOT NULL,
  `instance_filetype` varchar(128) NOT NULL,
  `instance_source_host` int(32) unsigned NOT NULL,
  `instance_target_host` int(32) unsigned NOT NULL,
  `instance_filename` varchar(128) NOT NULL,
  `instance_date` int(11) NOT NULL,
  `sensor_idx` int(11) unsigned NOT NULL,
  PRIMARY KEY  (`instance_idx`),
  KEY `sensor_idx` (`sensor_idx`),
  KEY `sample_idx` (`sample_sha512`),
  KEY `instance_date` (`instance_date`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `instance_info`
--

DROP TABLE IF EXISTS `instance_info`;
CREATE TABLE `instance_info` (
  `instance_info_idx` int(10) unsigned NOT NULL,
  `instance_info_type` varchar(128) NOT NULL,
  `instance_info_value` varchar(128) NOT NULL,
  `instance_info_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `instance_idx` int(10) unsigned NOT NULL,
  `instance_info_details` blob NOT NULL,
  PRIMARY KEY  (`instance_info_idx`),
  KEY `instance_idx` (`instance_idx`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `instance_info_seq`
--

DROP TABLE IF EXISTS `instance_info_seq`;
CREATE TABLE `instance_info_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=27813 DEFAULT CHARSET=utf8;

--
-- Table structure for table `instance_seq`
--

DROP TABLE IF EXISTS `instance_seq`;
CREATE TABLE `instance_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=17317 DEFAULT CHARSET=utf8;

--
-- Table structure for table `sample`
--

DROP TABLE IF EXISTS `sample`;
CREATE TABLE `sample` (
  `sample_sha512` char(128) NOT NULL,
  `sample_md5` char(32) NOT NULL,
  `sample_hitcount` int(11) NOT NULL,
  `sample_last_seen` int(11) NOT NULL,
  PRIMARY KEY  (`sample_sha512`),
  KEY `sample_md5` (`sample_md5`,`sample_last_seen`),
  KEY `sample_hitcount` (`sample_hitcount`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `sample_info`
--

DROP TABLE IF EXISTS `sample_info`;
CREATE TABLE `sample_info` (
  `sample_info_idx` int(10) unsigned NOT NULL,
  `sample_info_type` varchar(128) NOT NULL,
  `sample_info_value` varchar(128) NOT NULL,
  `sample_sha512` char(128) NOT NULL,
  `sample_info_time` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `sample_info_details` blob NOT NULL,
  PRIMARY KEY  (`sample_info_idx`),
  KEY `sample_idx` (`sample_sha512`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `sample_info_seq`
--

DROP TABLE IF EXISTS `sample_info_seq`;
CREATE TABLE `sample_info_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=2746 DEFAULT CHARSET=utf8;

--
-- Table structure for table `sensor`
--

DROP TABLE IF EXISTS `sensor`;
CREATE TABLE `sensor` (
  `sensor_idx` int(10) unsigned NOT NULL,
  `sensor_name` varchar(128) NOT NULL,
  `sensor_user` varchar(128) NOT NULL,
  `sensor_password` varchar(128) NOT NULL,
  `sensor_ip` varchar(128) NOT NULL,
  `sensor_comment` varchar(256) NOT NULL,
  `sensor_last_submission` int(10) unsigned default NULL,
  PRIMARY KEY  (`sensor_idx`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `sensor_seq`
--

DROP TABLE IF EXISTS `sensor_seq`;
CREATE TABLE `sensor_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

--
-- Table structure for table `stat`
--

DROP TABLE IF EXISTS `stat`;
CREATE TABLE `stat` (
  `stat_idx` int(11) NOT NULL,
  `stat_key` char(128) NOT NULL,
  `stat_value` char(128) NOT NULL,
  `stat_counter` int(11) NOT NULL,
  `stat_date` int(11) NOT NULL,
  PRIMARY KEY  (`stat_idx`),
  KEY `stat_key` (`stat_key`,`stat_value`),
  KEY `stat_date` (`stat_date`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Table structure for table `stat_seq`
--

DROP TABLE IF EXISTS `stat_seq`;
CREATE TABLE `stat_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=1048 DEFAULT CHARSET=latin1;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `user_idx` int(10) unsigned NOT NULL,
  `user_name` varchar(128) NOT NULL,
  `user_password` varchar(128) NOT NULL,
  `user_comment` varchar(256) NOT NULL,
  `user_last_login` int(10) unsigned default NULL,
  PRIMARY KEY  (`user_idx`),
  KEY `organization_idx` (`user_last_login`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `user_seq`
--

DROP TABLE IF EXISTS `user_seq`;
CREATE TABLE `user_seq` (
  `sequence` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`sequence`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=latin1;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-04-18  5:53:15

INSERT INTO `user` VALUES (1,'admin',md5('admin'),'Default Admin User',0);
INSERT INTO `sensor` VALUES (1,'Cron','cron',md5('cron'),'127.0.0.1','Cron User',1208497801);